# -*- coding: utf-8 -*-

# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: http://doc.scrapy.org/en/latest/topics/item-pipeline.html
from datetime import datetime
from .helpers.db import Database
from scrapy.utils.project import get_project_settings

db = get_project_settings().get('DB')


class ExaPipeline(object):
    def __init__(self):
        self.out = open('out{}.txt'.format(datetime.now()), 'w', newline='\n')
        self.db = Database(**db)
        super(ExaPipeline, self).__init__()

    def __del__(self):
        self.out.close()

    def process_item(self, item, spider):
        s = "INSERT INTO wp_esi_news (title, URL, media_id, type_id, region_id, publish_date) VALUES('{0}', '{1}', {2}, {3}, {4}, '{5}')\n".format(
            item['title'], item['url'], item['media_id'], item['type_id'],
            item['region_id'], item['date'])
        self.out.write(s)

        return item
